Bug 114923 - (CVE-2003-0618) CVE-2003-0618 leaks file existance information
CVE-2003-0618 leaks file existance information
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: perl (Show other bugs)
2.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
David Lawrence
impact=low,public=20030730,source=ven...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-04 11:33 EST by Mark J. Cox (Product Security)
Modified: 2009-08-28 10:16 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.1AS
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-28 10:16:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-02-04 11:33:10 EST
CAN-2003-0618 was reported 2003Jul29 to Debian. You can test for the
existance of files even if you don't have permission to do so by using
the suidperl command.

        $ su
        # mkdir ~root/delme; chmod 700 ~root/delme;touch ~root/delme/1
        # exit
        $ suidperl ~root/delme/1
        Script is not setuid/setgid in suidperl
        $ suidperl ~root/delme/2
        Can't open perl script "/root/delme/2": No such file ...

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=220486
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=203426

        Affects: 2.1AS 2.1ES 2.1AW 2.1WS (5.6.1) 
        Affects: 3AS 3ES 3WS (5.8.0) 

Debian released an errata for this issue in Feb 2004.
Comment 1 Mark J. Cox (Product Security) 2004-02-09 10:40:57 EST
Actually this doesn't affect RHEL3 because the setuid perl package was
not shipped.
Comment 2 Josh Bressers 2005-05-04 18:04:20 EDT
I did some verification work on this one.  This issue does affect RHEL3.  We may
not have shipped perl-suidperl in the past, we do now.
Comment 3 Jason Vas Dias 2006-04-21 21:24:55 EDT
fixed with perl-5.6.1-38.EL2_1
Comment 4 Robin Norwood 2006-10-01 19:33:54 EDT
assigning to rnorwood@redhat.com
Comment 5 Mark J. Cox (Product Security) 2007-07-20 07:47:51 EDT
that version isn't shipped yet, opening and marking MODIFIED
Comment 6 Tomas Hoger 2009-08-28 10:16:28 EDT
EL2.1 reached end of life.

Note You need to log in before you can comment on or make changes to this bug.